gnutls_openpgp_crt_verify_ring(3)

NAME
gnutls_openpgp_crt_verify_ring - Verify all signatures in the key

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_verify_ring(gnutls_openpgp_crt_t key, gnutls_openpgp_keyring_t keyring, unsigned int flags, unsigned int * verify);

ARGUMENTS

gnutls_openpgp_crt_t key
    the structure that holds the key.

gnutls_openpgp_keyring_t keyring
    holds the keyring to check against

unsigned int flags
    unused (should be 0)

unsigned int * verify
    will hold the certificate verification output.

DESCRIPTION
Verify all signatures in the key, using the given set of keys (keyring). The key verification output will be put in verify and will be one or more of the gnutls_certificate_status_t enumerated elements bitwise or'd.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.